# Contributing to Chef Server

Thank you for your interest in Chef Server!  We use **GitHub Issues**
for issue tracking and contributions:

1. Reporting an issue or making a feature request
2. Submitting patches for new features or bug fixes

We follow a process used by other Chef
products: <https://github.com/chef/chef/blob/master/CONTRIBUTING.md>

## Submitting Patches

All patches should be submitted as GitHub pull requests:

1. Make changes on a branch, ensuring to add the [Developer Certificate
   of Origin sign-off](https://github.com/chef/chef/blob/master/CONTRIBUTING.md#developer-certification-of-origin-dco) to your commits.

2. Consult the CODE_REVIEW_CHECKLIST.md to see what code reviewers
   will be looking for.

3. Create a GitHub Pull Request.

4. If you are a Chef Software employee, submit an ad-hoc
   chef-server-12 build for your branch and post a link to in the pull
   request. For non-Chef Software employees, your job will be
   submitted for you by one of the reviewers.

5. Respond to code review comments to improve the code until it is
   ready to merge.

5. Rebase your branch on master to pick up any changes that have
   landed since your patch was opened and merge it!  (If you don't
   have commit access, a maintainer will merge it for you after code
   review is complete).
