
# Software End User License Agreement  
(Personal, Non-Commercial, Experimental)

**April 2, 2019** - The most recent edition of this license is available at https://www.chef.io/end-user-license-agreement/

This Software End User License Agreement (this “**Agreement**“), is a binding agreement between Chef Software Inc. (“**Chef**“) and You (as defined below).

IF YOU REPRESENT A CORPORATION, GOVERNMENTAL ORGANIZATION, OR OTHER LEGAL ENTITY, OR YOU INTEND TO USE THE SOFTWARE FOR COMMERCIAL PURPOSES, YOU MUST CONTACT CHEF DIRECTLY TO OBTAIN A COMMERCIAL LICENSE FOR THIS SOFTWARE. PLEASE VISIT [https://www.chef.io/eula-inquiry/](https://www.chef.io/eula-inquiry/) TO INQUIRE.

LICENSOR PROVIDES THE SOFTWARE SOLELY ON THE TERMS AND CONDITIONS SET FORTH IN THIS AGREEMENT AND ON THE CONDITION THAT YOU ACCEPT THEM. BY CLICKING THE “ACCEPT” BUTTON YOU (A) ACCEPT THIS AGREEMENT AND AGREE TO BE LEGALLY BOUND BY ITS TERMS; AND (B) REPRESENT AND WARRANT THAT YOU HAVE THE LEGAL CAPACITY TO ENTER INTO A BINDING AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, YOU MUST NOT INSTALL OR USE THE SOFTWARE.

<u>Definitions</u>. For purposes of this Agreement, the following terms have the following meanings:

“**Intellectual Property Rights**” means patent, copyright, trademark, trade secret, database protection, or other intellectual property rights laws, and all similar or equivalent rights or forms of protection.

“**Business**” means any Person other than a natural person.

“**Commercial Purpose**” means for the benefit of (i) any Business, or (ii) any undertaking intended, directly or indirectly, for profit.

“**Experimental Use**” means using the Software to learn, train, experiment with, or test viability of the Software. Experimental Use excludes pre-production and production environments as well as making the Software available to others, whether or not in exchange for any consideration.

“**Person**” means an individual, corporation, partnership, joint venture, limited liability company, governmental authority, non-profit organization, unincorporated organization, trust, association, or other entity.

“**Software**” means the software programs made available under this License.

“**Term**” has the meaning set forth in Section 6.

“**Third Party**” means any Person other than You or Chef.

“**You**” means the Person exercising permissions granted by this Agreement.

1.  **<u>License Grant and Scope</u>**. Chef hereby grants to You a non-exclusive, non-transferable, limited license during the Term to use the Software solely as set forth in this Section 1 and subject to the terms of Section 3\. Chef hereby grants You the non-exclusive, non-transferable, non-sublicensable, royalty free right to:
    *   Download, copy, and install the Software on computers owned or leased, and controlled by, You. In addition to the foregoing, You may make copies of the Software for archival or backup purposes. All copies of the Software made by You must include all trademark, copyright, patent, and other Intellectual Property Rights notices contained in the original.
    *   Use and run the Software on such computers solely for Your personal, non-Commercial Purposes or Experimental Use.
2.  **<u>Third-Party Materials</u>**. The Software includes software, content, data, or other materials, including related documentation, that are owned by Persons other than Chef and that are provided to You on license terms that are in addition to and/or different from those contained in this Agreement (“**Third-Party Licenses**“). A list of all materials included in the Software and provided under Third-Party Licenses can be found at [https://www.chef.io/3rd-party-licenses/](https://www.chef.io/3rd-party-licenses/). You must comply with all Third-Party Licenses.
3.  **<u>Use Restrictions</u>**. You must not, directly or indirectly: (a) modify, translate, adapt, or otherwise create derivative works or improvements, whether or not patentable, of the Software or any part thereof; (b) reverse engineer, disassemble, decompile, decode, or otherwise attempt to derive or gain access to the source code of the Software or any part thereof; (c) remove, delete, alter, or obscure any trademarks or any copyright, trademark, patent, or other intellectual property or proprietary rights notices provided on or with the Software, including any copy thereof; (d) rent, lease, lend, sell, sublicense, assign, distribute, publish, transfer, or otherwise make available the Software, or any features or functionality of the Software, to any Third Party for any reason; (e) use the Software in violation of any law, regulation, or rule; or (f) use the Software for purposes of competitive analysis of the Software, the development of a competing software product or service, or any other purpose that is to the Chef’s commercial disadvantage.
4.  **<u>Collection and Use of Information</u>**. You hereby consent to Chef receiving data and information directly from the Software for the sole purpose of obtaining information regarding Your use of the Software (e.g., when You install an update or upgrade), as well as any Software bugs, errors, and other similar technical support issues. Chef will only use such data and information (“Software Usage and Technical Support Data”) for Chef’s own business purposes, including but not limited to the purposes of (i) gathering information about how You use the Software, which may be combined with information about how others use the Software, in order to help Chef better understand trends and Your needs in order to better consider new features, and (ii) improving the Software and Your use experience. Chef will use Software Usage and Technical Support Data solely in aggregate, anonymized form.
5.  **<u>Intellectual Property Rights</u>**. You acknowledge that the Software is provided under license, and not sold, to You. Chef reserves all right, title, and interest in and to the Software and all Intellectual Property Rights in or to Software, except as expressly granted to You in this Agreement. **Some portions of the Software may be separately available as source code from Chef under open source software licenses. Nothing in this Agreement affects any rights you may have separately under such licenses.**
6.  **<u>Term and Termination</u>**. This Agreement and the license granted hereunder shall remain in effect until terminated as set forth herein (the “**Term**“).
    *   You may terminate this Agreement by ceasing to use and destroying all copies of the Software.
    *   Chef may terminate this Agreement for convenience.
    *   If You institute any litigation against Chef (including a cross-claim or counterclaim in a lawsuit) then the licenses granted to You under this Agreement shall terminate automatically as of the date such litigation is filed.
    *   Upon termination of this Agreement, the license granted hereunder shall also terminate, and You shall cease using and destroy all copies of the Software.
7.  **<u>Warranty Disclaimer</u>**. THE SOFTWARE IS PROVIDED TO YOU “AS IS” AND WITH ALL FAULTS AND DEFECTS WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED UNDER APPLICABLE LAW, CHEF, ON ITS OWN BEHALF AND ON BEHALF OF ITS AFFILIATES AND ITS AND THEIR RESPECTIVE LICENSORS EXPRESSLY DISCLAIMS ALL WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY, OR OTHERWISE, WITH RESPECT TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, AND WARRANTIES THAT MAY ARISE OUT OF COURSE OF DEALING, COURSE OF PERFORMANCE, USAGE, OR TRADE PRACTICE. WITHOUT LIMITING THE FOREGOING, CHEF PROVIDES NO WARRANTY OR UNDERTAKING, AND MAKES NO REPRESENTATION OF ANY KIND THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS, ACHIEVE ANY INTENDED RESULTS, BE COMPATIBLE, OR WORK WITH ANY OTHER SOFTWARE, APPLICATIONS, SYSTEMS, OR SERVICES, OPERATE WITHOUT INTERRUPTION, MEET ANY PERFORMANCE OR RELIABILITY STANDARDS OR BE ERROR FREE, OR THAT ANY ERRORS OR DEFECTS CAN OR WILL BE CORRECTED. YOU MAY HAVE ADDITIONAL RIGHTS THAT VARY FROM STATE TO STATE.
8.  **<u>Limitation of Liability</u>**. TO THE FULLEST EXTENT PERMITTED UNDER APPLICABLE LAW: IN NO EVENT WILL CHEF OR ITS AFFILIATES, OR ANY OF ITS OR THEIR RESPECTIVE LICENSORS OR SERVICE PROVIDERS, BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL, INDIRECT, EXEMPLARY, SPECIAL, OR PUNITIVE DAMAGES, WHETHER ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, REGARDLESS OF WHETHER SUCH DAMAGES WERE FORESEEABLE AND WHETHER OR NOT CHEF WAS ADVISED OF THE POSSIBILITY OF SUCH YOU MAY HAVE ADDITIONAL RIGHTS THAT VARY FROM STATE TO STATE.
9.  **<u>Export Regulation</u>**. The Software may be subject to US export control laws, including the US Export Administration Act and its associated regulations. You shall not, directly or indirectly, export, re-export, or release the Software to, or make the Software accessible from, any jurisdiction or country to which export, re-export, or release is prohibited by law, rule, or regulation.
10.  **<u>Miscellaneous</u>**. All matters arising out of or relating to this Agreement shall be governed by and construed in accordance with the internal laws of the State of Washington without giving effect to any conflict of law provision. Any legal action arising out of or relating to this Agreement will the subject to the exclusive jurisdiction of the state or federal courts located in King County. This Agreement constitutes the sole and entire agreement between You and Chef with respect to the subject matter contained herein, and supersedes all prior and contemporaneous understandings, agreements, representations, and warranties, both written and oral, with respect to such subject matter. If any provision of this Agreement is determined by a court of law to be unenforceable, this Agreement and the license granted herein will terminate automatically.
